org.apache.ignite.ml.math

## Interface MetaAttributes

- All Known Subinterfaces:
    Matrix, NamedVector, Vector
  All Known Implementing Classes:
    AbstractMatrix, AbstractVector, DelegatingNamedVector, DelegatingVector, DenseMatrix, DenseVector, SparseMatrix, SparseVector, VectorizedViewMatrix, VectorView, ViewMatrix

      public interface MetaAttributes

  Interface provides support for meta attributes on vectors and matrices.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default <T> T` | `getAttribute(String name)` Gets meta attribute with given name.
    `Map<String,Object>` | `getMetaStorage()` Implementation should return an instance of the map to store meta attributes.
    `default boolean` | `hasAttribute(String name)` Checks if given meta attribute is present.
    `default boolean` | `removeAttribute(String name)` Removes meta attribute with given name.
    `default <T> void` | `setAttribute(String name, T val)` Sets meta attribute with given name and value.

- - ### Method Detail

    - #### getMetaStorage

          Map<String,Object> getMetaStorage()

      Implementation should return an instance of the map to store meta attributes.

    - #### getAttribute

          default <T> T getAttribute(String name)

      Gets meta attribute with given name.
      Type Parameters:
        `T` - Attribute's type.
      Parameters:
        `name` - Name of the vector meta attribute to get.

    - #### setAttribute

          default <T> void setAttribute(String name,
                                        T val)

      Sets meta attribute with given name and value.
      Type Parameters:
        `T` - Attribute's type.
      Parameters:
        `name` - Name of the meta attribute.
        `val` - Attribute value.

    - #### removeAttribute

          default boolean removeAttribute(String name)

      Removes meta attribute with given name.
      Parameters:
        `name` - Name of the meta attribute.
      Returns:
        `true` if attribute was present and was removed, `false` otherwise.

    - #### hasAttribute

          default boolean hasAttribute(String name)

      Checks if given meta attribute is present.
      Parameters:
        `name` - Attribute name to check.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022